# Generated by Django 2.1.7 on 2019-03-20 05:47

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('moneylendingGoPay', '0005_auto_20190320_0544'),
    ]

    operations = [
        migrations.CreateModel(
            name='Loan2',
            fields=[
                ('id', models.AutoField(db_column='loan_id', primary_key=True, serialize=False)),
                ('loan_amount', models.BigIntegerField()),
                ('amount_paid', models.BigIntegerField()),
                ('balance_amount', models.BigIntegerField()),
                ('loan_status', models.CharField(blank=True, default=None, max_length=50, null=True)),
                ('customer', models.ForeignKey(db_column='customer_id', on_delete=django.db.models.deletion.DO_NOTHING, to='moneylendingGoPay.Customer')),
            ],
        ),
        migrations.RemoveField(
            model_name='loan',
            name='customer',
        ),
        migrations.AlterField(
            model_name='payment',
            name='loan',
            field=models.ForeignKey(db_column='loan_id', on_delete=django.db.models.deletion.DO_NOTHING, to='moneylendingGoPay.Loan2'),
        ),
        migrations.DeleteModel(
            name='Loan',
        ),
    ]
